Bug 1013683 - Standardise Entity ID generation in FSW
Standardise Entity ID generation in FSW
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Configuration (Show other bugs)
6.0.0 GA
Unspecified Unspecified
low Severity low
: ---
: 6.1.0
Assigned To: kconner
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 11:24 EDT by kconner
Modified: 2015-11-02 03:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kconner 2013-09-30 11:24:01 EDT
We should standardise sequence generation across all projects within FSW/BRMS so that we can more easily support the creation of DB scripts.

An alternative, which would ease the creation of the DB scripts, is to use table generation instead. e.g.

    @TableGenerator(name = "claims",  table = "Sequences",
       pkColumnName = "id", valueColumnName = "nextValue",
       pkColumnValue = "claims", allocationSize = 1000)
   @GeneratedValue(strategy = GenerationType.TABLE, generator = "claims")
Comment 2 Aileen 2015-03-05 12:44:21 EST
Low priority, won't make 6.2.

Note You need to log in before you can comment on or make changes to this bug.